## ros-kinetic-bin-pose-emulator 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bin_pose_emulator)

find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    bin_pose_msgs
    tf)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${PROJECT_SOURCE_DIR}/include/)

add_executable(
  ${PROJECT_NAME}
  src/bin_pose_emulator.cpp)
  
add_dependencies(bin_pose_emulator ${catkin_EXPORTED_TARGETS})

target_link_libraries(
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  yaml-cpp)

# binaries
install(TARGETS
  bin_pose_emulator
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# other files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
  
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

=== debian/changelog ===
ros-kinetic-bin-pose-emulator (0.1.4-0xenial) xenial; urgency=high

  * adding CHANGELOGS
  * syntax fix
  * Contributors: Frantisek Durovsky
  * syntax fix
  * Contributors: Frantisek Durovsky

 -- Frantisek Durovsky <durovsky@photoneo.com>  Thu, 07 Sep 2017 22:00:00 -0000

ros-kinetic-bin-pose-emulator (0.1.3-0xenial) xenial; urgency=high

  * Disable loading default yaml config
  * adding examle yaml config install
  * typo fix
  * Contributors: Frantisek Durovsky
  * Disable loading default yaml config
  * adding examle yaml config install
  * typo fix
  * Contributors: Frantisek Durovsky

 -- Frantisek Durovsky <durovsky@photoneo.com>  Wed, 05 Jul 2017 22:00:00 -0000

ros-kinetic-bin-pose-emulator (0.1.2-0xenial) xenial; urgency=high

  * added install targets
  * Update Readme.md
  * Create README.md
  * Contributors: Frantisek Durovsky

 -- Frantisek Durovsky <durovsky@photoneo.com>  Sun, 11 Jun 2017 22:00:00 -0000

ros-kinetic-bin-pose-emulator (0.1.1-0xenial) xenial; urgency=high

  * moving .travis.yml
  * initial commit
  * initial commit
  * Contributors: Frantisek Durovsky

 -- Frantisek Durovsky <durovsky@photoneo.com>  Mon, 05 Jun 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-bin-pose-emulator
Section: misc
Priority: extra
Maintainer: Frantisek Durovsky <durovsky@photoneo.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-kinetic-bin-pose-msgs, ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-bin-pose-emulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-kinetic-bin-pose-msgs, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: bin_pose_emulator generates random poses of items in the predefined bin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-bin-pose-emulator//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
